# List Transfer Attempts

Retrieve a list of all Transfer Attempt resources, or filter the results to a specific Checkout Form, Payment Link, and Payout Link using the entity_id query parameter.

For details on how to query endpoints using the available parameters, see Query Parameters.

Endpoint: GET /transfer_attempts
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `authorization_id` (string)
    Filter by Authorization ID.
    Example: "AUogt3PgskE2ahBFmTpn2EGJ"

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gt` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lt` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `entity_id` (string)
    Filter by the ID of the Checkout Form, Payment Link, or Payout Link.
    Example: "checkout_form_ciADaDNMFAHdyNbDPuByS"

  - `entity_type` (string)
    Filter by the type of entity that initiated the Transfer Attempt.
    Enum: "CHECKOUT_FORM", "PAYMENT_LINK", "PAYOUT_LINK"

  - `id` (string)
    Filter by id.

  - `is_authorization` (boolean)
    Filter by whether the Transfer Attempt is tied to an Authorization.
    Example: true

  - `limit` (integer)
    The numbers of items to return.
    Example: 3

  - `merchant_id` (string)
    Filter by Merchant ID.
    Example: "MUeDVrf2ahuKc9Eg5TeZugvs"

  - `state` (string)
    Filter by Transfer Attempt state.
    Enum: "FAILED", "PENDING", "SUCCEEDED"

  - `transfer_id` (string)
    Filter by Transfer ID.
    Example: "TRnH7FkSB7zePeHExNZwSb9H"

  - `updated_at.gt` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lt` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `_embedded` (object)
    List of Transfer Attempt objects.

  - `_embedded.transfer_attempts` (array)
    Transfer Attempt objects.

  - `_links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

## Response 401 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "UNKNOWN"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.self` (object)

  - `_embedded.errors._links.self.href` (string)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 403 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "FORBIDDEN"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 404 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "NOT_FOUND"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 422 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "INVALID_FIELD"

  - `_embedded.errors.field` (string)

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)


